Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 184)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 185)
@@ -2328,203 +1603,51 @@
             finally
             {
                 dgvMaster.ResumeLayout();
-                if (dgvMaster.Rows.Count > 0)
-                {
-                    dgvMaster.FirstDisplayedScrollingRowIndex = 0;
-                    dgvMaster.FirstDisplayedScrollingColumnIndex = 15;
-                    dgvMaster.CurrentCell = dgvMaster[1, 0];
-                }
             }
         }
         #endregion
 
-        #region 不明行かを判定する。
+        #region 請求金額と入金金額の合計
         /// <summary>
-        /// 不明行かを判定する。
+        /// 請求金額と入金金額の合計
         /// </summary>
-        /// <param name="index"></param>
-        /// <returns></returns>
-        private bool IsUnknownRow(int index)
+        private void TotalCount(int targetDate)
         {
-            var cells = dgvMaster.Rows[index].Cells;
-            return CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName].Value) == "不明"
-                && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName_Raw].Value) == "";
-        }
-        #endregion
-
-        #region 空白行かを判定する。
-        /// <summary>
-        /// 空白行かを判定する。
-        /// </summary>
-        /// <param name="index"></param>
-        /// <returns></returns>
-        private bool IsBlankRow(int index)
-        {
-            var cells = dgvMaster.Rows[index].Cells;
-            return CommonMotions.cnvString(cells[(int)DispColumn.SeqNo]) == ""
-                && CommonMotions.cnvString(cells[(int)DispColumn.LineCount]) == ""
-                && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName].Value) == ""
-                && CommonMotions.cnvString(cells[(int)DispColumn.ConstructionName_Raw].Value) == "";
-        }
-        #endregion
-
-        #region 不明行の設定を行う。
-        /// <summary>
-        /// 不明行の設定を行う。
-        /// </summary>
-        /// <param name="index"></param>
-        private void AddUnknownRow(DepositOrderer depositOrderer, int index)
-        {
-            // 不明行金額の計算
-            long depositAmountCash = 0;
-            long depositAmountBill = 0;
-            foreach (var deposit in depositOrderer.Deposits)
+            int depositTotal = 0;
+            int requestTotal = 0;
+            try
             {
-                depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
-                depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
-            }
-            long depositAmount = 0;
-            foreach (var depositDetail in depositOrderer.DepositDetails)
-            {
-                depositAmount += depositDetail.DepositAmount;
-            }
-            long unknownAmount = (depositAmountCash + depositAmountBill) - depositAmount;
-            if (unknownAmount == 0)
-                return;
-            // 不明行は入金明細の一番下に作成する
-            var unknownIndex = index + depositOrderer.VisibleDepositDetails.Count;
-            // 入金明細が入金より多い場合は不明行を追加
-            if (depositOrderer.VisibleDepositDetails.Count >= depositOrderer.VisibleDeposits.Count)
-            {
-                dgvMaster.Rows.Insert(unknownIndex);
-                dgvMaster.Rows[unknownIndex].ReadOnly = true;
-            }
-            var row = dgvMaster.Rows[unknownIndex];
-            row.Cells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-            row.Cells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-            row.Cells[(int)DispColumn.ConstructionName].Value = "不明";
-            // 編集設定
-            var readOnly = !CanEditDeposit(depositOrderer);
-            row.Cells[(int)DispColumn.DepositDate].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = readOnly;
-            row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
-            SetPrice(row.Cells, (int)DispColumn.DepositAmount, unknownAmount);
-        }
-        #endregion
+                // 入金金額の合計を算出
+                int tgl = 2;
+                var DepositSum = DepositSumCalc(0, 0, targetDate, tgl).OfType<object[]>();
+                int SumDepositAmountCash = 0;
+                int SumDepositAmountBill = 0;
+                foreach (var sum in DepositSum)
+                {
+                    SumDepositAmountCash = CommonMotions.cnvInt(sum[0]);
+                    SumDepositAmountBill = CommonMotions.cnvInt(sum[1]);
+                }
 
-        #region 差額の算出
-        /// <summary>
-        /// 差額の算出
-        /// </summary>
-        /// <param name="depositOrderer"></param>
-        /// <returns></returns>
-        private long CalculateDifference(DepositOrderer depositOrderer)
-        {
-            long depositAmountCash = 0;
-            long depositAmountBill = 0;
-            foreach (var deposit in depositOrderer.Deposits)
-            {
-                depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
-                depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
-            }
-            long depositAmount = 0;
-            foreach (var depositDetail in depositOrderer.DepositDetails)
-            {
-                depositAmount += depositDetail.DepositAmount;
-            }
-            return depositAmountCash + depositAmountBill - depositAmount;
-        }
-        #endregion
+                // 請求金額合計の合計を算出
+                var RequestSum = RequestSumCalc(0, 0, targetDate, tgl).OfType<object[]>();
+                int SumRequestBill = 0;
+                int SumRequestTax = 0;
+                foreach (var sum in RequestSum)
+                {
+                    SumRequestBill = CommonMotions.cnvInt(sum[0]);
+                    SumRequestTax = CommonMotions.cnvInt(sum[1]);
+                }
 
-        #region 合計行の設定を行う。
-        /// <summary>
-        /// 合計行の設定を行う。
-        /// </summary>
-        /// <param name="index"></param>
-        private void AddTotalRow(DepositOrderer depositOrderer, int index)
-        {
-            long depositAmountCash = 0;
-            long depositAmountBill = 0;
-            foreach (var deposit in depositOrderer.Deposits)
-            {
-                depositAmountCash += deposit.DepositAmountCash.GetValueOrDefault(0);
-                depositAmountBill += deposit.DepositAmountBill.GetValueOrDefault(0);
+                depositTotal = SumDepositAmountCash+SumDepositAmountBill;
+                requestTotal = SumRequestBill + SumRequestTax;
+                lblDepositTotal.Text = depositTotal.ToString("#,0") + " 円";
+                lblRequestTotal.Text = requestTotal.ToString("#,0") + " 円";
+                lblRequestAmount.Text = SumRequestBill.ToString("#,0") + " 円";
             }
-            long billPrice = 0;
-            long taxPrice = 0;
-            long depositAmount = 0;
-            long discountAmount = 0;
-            long cnstrPrice = 0;
-            long fees = 0;
-            long otherAdjustments = 0;
-            long carryAmount = 0;
-
-            foreach (var depositDetail in depositOrderer.VisibleDepositDetails)
+            catch(Exception ex)
             {
-                billPrice += depositDetail.BillPrice;
-                taxPrice += depositDetail.TaxPrice;
-                depositAmount += depositDetail.DepositAmount;
-                discountAmount += depositDetail.DiscountAmount;
-                cnstrPrice += depositDetail.CnstrPrice;
-                fees += depositDetail.Fees;
-                otherAdjustments += depositDetail.OtherAdjustments;
-                carryAmount += depositDetail.CarryAmount;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            var headerIndex = DetectHeaderIndex(index);
-            var headerCells = dgvMaster.Rows[headerIndex].Cells;
-            var subtotalIndex = dgvMaster.RowCount;
-            for (var i = headerIndex; i < dgvMaster.RowCount; i++)
-            {
-                var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersDivision].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value)
-                    || CommonMotions.cnvInt(headerCells[(int)DispColumn.OrderersCode].Value) != CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value))
-                {
-                    subtotalIndex = i;
-                    break;
-                }
-            }
-            dgvMaster.Rows.Insert(subtotalIndex, 4);
-            // 小計
-            dgvMaster.Rows[subtotalIndex].DefaultCellStyle.BackColor = Color.Coral;
-            dgvMaster.Rows[subtotalIndex].ReadOnly = true;
-            var subtotalCells = dgvMaster.Rows[subtotalIndex].Cells;
-            subtotalCells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-            subtotalCells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-            subtotalCells[(int)DispColumn.OrderersName].Value = "小計";
-            SetPrice(subtotalCells, (int)DispColumn.DepositAmountCash, depositAmountCash);
-            SetPrice(subtotalCells, (int)DispColumn.DepositAmountBill, depositAmountBill);
-            SetPrice(subtotalCells, (int)DispColumn.BillPrice, billPrice);
-            SetPrice(subtotalCells, (int)DispColumn.TaxPrice, taxPrice);
-            SetPrice(subtotalCells, (int)DispColumn.DepositAmount, depositAmount);
-            SetPrice(subtotalCells, (int)DispColumn.DiscountAmount, discountAmount);
-            SetPrice(subtotalCells, (int)DispColumn.CnstrPrice, cnstrPrice);
-            SetPrice(subtotalCells, (int)DispColumn.Fees, fees);
-            SetPrice(subtotalCells, (int)DispColumn.OtherAdjustments, otherAdjustments);
-            SetPrice(subtotalCells, (int)DispColumn.CarryAmount, carryAmount);
-            // 入金金額
-            dgvMaster.Rows[subtotalIndex + 1].DefaultCellStyle.BackColor = Color.Yellow;
-            dgvMaster.Rows[subtotalIndex + 1].ReadOnly = true;
-            var depositCells = dgvMaster.Rows[subtotalIndex + 1].Cells;
-            depositCells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-            depositCells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-            depositCells[(int)DispColumn.OrderersName].Value = "入金金額";
-            SetPrice(depositCells, (int)DispColumn.DepositAmountCash, depositAmountCash + depositAmountBill);
-            // 調整後金額
-            dgvMaster.Rows[subtotalIndex + 2].DefaultCellStyle.BackColor = Color.PaleTurquoise;
-            dgvMaster.Rows[subtotalIndex + 2].ReadOnly = true;
-            var adjustmentCells = dgvMaster.Rows[subtotalIndex + 2].Cells;
-            adjustmentCells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-            adjustmentCells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-            adjustmentCells[(int)DispColumn.OrderersName].Value = "調整後金額";
-            SetPrice(adjustmentCells, (int)DispColumn.DepositAmountCash, depositAmount);
-            // 差額
-            dgvMaster.Rows[subtotalIndex + 3].DefaultCellStyle.BackColor = Color.Chartreuse;
-            dgvMaster.Rows[subtotalIndex + 3].ReadOnly = true;
-            var differentCells = dgvMaster.Rows[subtotalIndex + 3].Cells;
-            differentCells[(int)DispColumn.OrderersDivision].Value = depositOrderer.OrderersDivision;
-            differentCells[(int)DispColumn.OrderersCode].Value = depositOrderer.OrderersCode;
-            differentCells[(int)DispColumn.OrderersName].Value = "差額";
-            SetPrice(differentCells, (int)DispColumn.DepositAmountCash, depositAmountCash + depositAmountBill - depositAmount);
         }
         #endregion
 
@@ -2558,11 +1681,11 @@
             for (var i = 0; i < dgvMaster.RowCount; i++)
             {
                 var cells = dgvMaster.Rows[i].Cells;
-                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == depositOrderer.OrderersDivision
-                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == depositOrderer.OrderersCode)
-                {
-                    return i;
-                }
+                //if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == depositOrderer.OrderersDivision
+                //    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == depositOrderer.OrderersCode)
+                //{
+                //    return i;
+                //}
             }
             return 0;
         }
@@ -2580,81 +1703,16 @@
             {
                 var cells = dgvMaster.Rows[i].Cells;
 
-                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == nDivision
-                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == nCode)
-                {
-                    return i;
-                }
+                //if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == nDivision
+                //    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == nCode)
+                //{
+                //    return i;
+                //}
             }
             return 0;
         }
         #endregion
 
-        #region 不明行インデックスの検索
-        /// <summary>
-        /// 不明行インデックスの検索
-        /// </summary>
-        /// <param name="index"></param>
-        /// <returns></returns>
-        private int DetectUnknownIndex(int index)
-        {
-            var cells = dgvMaster.Rows[index].Cells;
-            int nDivision = int.Parse(cells[(int)DispColumn.OrderersDivision].Value.ToString());
-            int nCode = int.Parse(cells[(int)DispColumn.OrderersCode].Value.ToString());
-
-            var headerIndex = DetectHeaderIndex(nDivision,nCode);
-            for (var i = headerIndex; i < dgvMaster.Rows.Count; i++)
-            {
-                var constructionName = CommonMotions.cnvString(dgvMaster.Rows[i].Cells[(int)DispColumn.ConstructionName].Value);
-                if (constructionName == "" || constructionName == "不明")
-                {
-                    return i;
-                }
-
-                // 最終行超え
-                if (dgvMaster[(int)DispColumn.OrderersDivision, i].Value == null)
-                {
-                    break;
-                }
-
-                // 対象の発注者が変わった場合は検索終了
-                if ((int.Parse(dgvMaster[(int)DispColumn.OrderersDivision, i].Value.ToString()) != nDivision)||
-                    (int.Parse(dgvMaster[(int)DispColumn.OrderersCode, i].Value.ToString()) != nCode))
-                {
-                    break;
-                }
-
-            }
-            return -1;
-        }
-        #endregion
-
-        #region 入金情報から行インデックスを取得
-        /// <summary>
-        /// 入金情報から行インデックスを取得
-        /// </summary>
-        /// <param name="depositOrderer"></param>
-        /// <param name="deposit"></param>
-        /// <returns></returns>
-        private int GetRowIndexFromDeposit(DepositOrderer depositOrderer, Deposit deposit)
-        {
-            // ヘッダ行を取得
-            int HdIndex = DetectHeaderIndex(depositOrderer);
-
-            for (int i = HdIndex; i < dgvMaster.Rows.Count; i++)
-            {
-                var cells = dgvMaster.Rows[i].Cells;
-
-                if (CommonMotions.cnvInt(cells[(int)DispColumn.SeqNo].Value) == deposit.SeqNo)
-                {
-                    return i;
-                }
-            }
-
-            return -1;
-        }
-        #endregion
-
         #region 金額の設定
         /// <summary>
         /// 金額の設定
@@ -2673,44 +1731,6 @@
         }
         #endregion
 
-        #region 請求先名の取得
-        /// <summary>
-        /// 請求先名の取得
-        /// </summary>
-        /// <param name="corporateStatusPoint"></param>
-        /// <param name="corporateStatusName"></param>
-        /// <param name="orderersName1"></param>
-        /// <param name="orderersName2"></param>
-        /// <returns></returns>
-        private string ToOrdererName(int corporateStatusPoint, string corporateStatusName, string orderersName1, string orderersName2)
-        {
-            // 発注者名１△発注者名２
-            if (corporateStatusPoint == 0)
-            {
-                if (orderersName2 == "")
-                {
-                    return orderersName1;
-                }
-                return orderersName1 + "　" + orderersName2;
-            }
-            // 法人格名称△発注者名１△発注者名２
-            else if (corporateStatusPoint == 1)
-            {
-                if (orderersName2 == "")
-                {
-                    return corporateStatusName + "　" + orderersName1;
-                }
-                return corporateStatusName + orderersName1 + orderersName2;
-            }
-            // 発注者名１△法人格名称△発注者名２
-            if (orderersName2 == "")
-            {
-                return orderersName1 + "　" + corporateStatusName;
-            }
-            return orderersName1 + corporateStatusName + orderersName2;
-        }
-        #endregion
-
         #region DataGridヘッダ色表示
         /// <summary>
         /// DataGridヘッダ色表示
@@ -2719,90 +1739,44 @@
         {
             // ヘッダ色、-1:非表示、0:自動計算、1:総務、2：工事
             int[] mc = {
-                -1,                     // ■編集状態
-                0,                      // No
-                -1,                     // ■発注先区分
-                -1,                     // ■発注者コード
-                -1,                     // ■連番
-                -1,                     // ■行番号
-                0,                      // 請求先名
-                1,                      // 入金日
-                1,                      // 入金金額 (振込み)
-                1,                      // 入金金額 (手形)
-                -1,                     // 請求No.
-                -1,                     // 受付番号
+                0,                      // No  
+                -1,                     // ■請求月
+                -1,                     // ■請求No.
+                -1,                     // ■発注者区分
+                -1,                     // ■発注先コード
+                0,                      // 請求先名・請求日
+                -1,                     // ■工事番号
                 0,                      // 現場名
-                -1,                     // ■現場名 (DB登録値)
-                0,                      // 入金予定日
-                0,                      // 請求日
                 0,                      // 請求金額 (税抜)
                 0,                      // 請求金額 (消費税)
+
+                1,                      // 入金金額 (振込み)
+                1,                      // 入金金額 (手形)
+
+                2,                      // ■受付番号
                 2,                      // 入金金額
                 2,                      // 値引金額
                 2,                      // 協力金
                 2,                      // 手数料
-                2,                      // その他調整
-                2,                      // 次回繰越
-                0,                      // 担当者承認
+                2,                      // 送料
+                2,                      // 差分
+
                 -1,                     // ■担当者コード
-                -1,                     // ■担当者日付
-                0,                      // 承認者１承認
-                -1,                     // ■承認者コード_1
-                -1,                     // ■承認権限区分_1
-                -1,                     // ■承認日付_1
-                -1,                     // ■承認順番_1
-                0,                      // 承認者２承認
-                -1,                     // ■承認者コード_2
-                -1,                     // ■承認権限区分_2
-                -1,                     // ■承認日付_2
-                -1,                     // ■承認順番_2
-                0,                      // 承認者３承認
-                -1,                     // ■承認者コード_3
-                -1,                     // ■承認権限区分_3
-                -1,                     // ■承認日付_3
-                -1,                     // ■承認順番_3
-                0,                      // 承認者４承認
-                -1,                     // ■承認者コード_4
-                -1,                     // ■承認権限区分_4
-                -1,                     // ■承認日付_4
-                -1,                     // ■承認順番_4
-                0,                      // 承認者５承認
-                -1,                     // ■承認者コード_5
-                -1,                     // ■承認権限区分_5
-                -1,                     // ■承認日付_5
-                -1,                     // ■承認順番_5
-                0,                      // 承認者６承認
-                -1,                     // ■承認者コード_6
-                -1,                     // ■承認権限区分_6
-                -1,                     // ■承認日付_6
-                -1,                     // ■承認順番_6
-                0,                      // 承認者７承認
-                -1,                     // ■承認者コード_7
-                -1,                     // ■承認権限区分_7
-                -1,                     // ■承認日付_7
-                -1,                     // ■承認順番_7
-                0,                      // 承認者８承認
-                -1,                     // ■承認者コード_8
-                -1,                     // ■承認権限区分_8
-                -1,                     // ■承認日付_8
-                -1,                     // ■承認順番_8
-                0,                      // 承認者９承認
-                -1,                     // ■承認者コード_9
-                -1,                     // ■承認権限区分_9
-                -1,                     // ■承認日付_9
-                -1,                     // ■承認順番_9
-                0,                      // 承認者１０承認
-                -1,                     // ■承認者コード_10
-                -1,                     // ■承認権限区分_10
-                -1,                     // ■承認日付_10
-                -1,                     // ■承認順番_10
+                -1,                     // ■担当者確認日
+                -1,                     // ■担当者確認フラグ
+                -1,                     // ■工事担当者
+                -1,                     // ■工事副担当
+                -1,                     // ■指導員
+                -1,                     // ■部署コード
+                2,                      // 担当者名
+                2,                      // 備考（入金明細）
             };
 
             dgvMaster.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             dgvMaster.ColumnHeadersHeight = dgvMaster.ColumnHeadersHeight + 10;
-
+            int colmunNum = mc.Count();
             // ヘッダーセルの値の設定
-            for (int i = 0; i < 77; i++)
+            for (int i = 0; i < colmunNum; i++)
             {
                 // ヘッダーセルの色を設定
                 // 総務
@@ -2818,7 +1792,7 @@
                 // 表示・自動計算
                 else
                 {
-                    dgvMaster.Columns[i].HeaderCell.Style.BackColor = Color.PaleGreen;
+                    dgvMaster.Columns[i].HeaderCell.Style.BackColor = Color.LightGreen;
                 }
             }
         }
